Subject: Re: bug#56215: Request for decluttering capability on mode-line keywords

From: [email-masked]
Date: Sun, 26 Jun 2022 17:09:42 +0200 (CEST)

Jun 26, 2022, 14:56 by [email-masked]:

> Phil Sainty <[email-masked]> writes:
>
>> You might find the GNU ELPA package delight.el to be suitable.
>> See https://www.emacswiki.org/emacs/DelightedModes for details.
>>
>> There are other options as well, including these (and maybe
>> more besides):
>>
>> https://emacs.stackexchange.com/a/72194/454
>>
>> Lars, I think this is a duplicate of bug#30978 ?
>>
>
> Yes, sort of.  And the conclusion is that there's a bunch of these
> packages out there for a reason -- people have very different needs and
> expectations for the mode line, so different packages makes sense.  So
> adding something to the core here wouldn't be helpful, and I'm therefore
> closing this bug report.
>

I am pushing only for some basic capability that people can build upon for 
specific expectations.